%{?nodejs_find_provides_and_requires}

Name:           nodejs-npmlog
Version:        2.0.0
Release:        2%{?dist}
Summary:        Logger for npm
BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

Group:          System Environment/Libraries
License:        BSD
URL:            https://github.com/isaacs/npmlog
Source0:        http://registry.npmjs.org/npmlog/-/npmlog-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-devel

%description
The logger utility that npm uses.

This logger is very basic. It does the logging for npm. It supports custom
levels and colored output.

%prep
%setup -q -n package

%nodejs_fixdep ansi ^0.3.0

%build
#nothing to do

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/npmlog
cp -pr package.json log.js %{buildroot}%{nodejs_sitelib}/npmlog

%nodejs_symlink_deps

%clean
rm -rf %buildroots

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/npmlog
%doc LICENSE README.md example.js

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.0.0-1
- Update to 2.0.0
- Supports npm 3.5.4

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 0.0.4-5
- Update npm(ansi) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-1
- new upstream release 0.0.4

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.3-1
- new upstream release 0.0.3

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.2-5
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.2-4
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.2-2
- add missing build section
- minor description improvement

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.2-1
- initial package generated by npm2rpm
